AutoCAD Raster Design Object Enabler

Using the AutoCAD Raster Design Object Enabler
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The AutoCAD Raster Design Object Enabler allows you to access specialized AutoCAD Raster Design 2010 image data in AutoCAD 2010-based applications without having AutoCAD Raster Design installed on your machine.

Raster Design images can be enabled in the following Autodesk products:

  • AutoCAD® 2010
  • AutoCAD® Architectural Desktop 2010
  • AutoCAD® Civil 3D® 2010
  • AutoCAD® Electrical 2010
  • AutoCAD® Map 3D 2010
  • AutoCAD® Mechanical 2010
  • AutoCAD® MDE 2010
  • AutoCAD® Topobase 2010

For earlier versions of these products, please refer to http://www.autodesk.com/aecobjenabler for the correct version to download.

Topics in this section

  • Using the AutoCAD Raster Design Object Enabler

    The AutoCAD Raster Design 2010 Object Enabler is a freeware application that you can use to access AutoCAD Raster Design 2010 drawing files. This release allows object data created in AutoCAD Raster Design 2010 to be accessed outside the AutoCAD Raster Design 2010 environment.

  • Accessing and Installing the AutoCAD Raster Design Object Enabler

    The AutoCAD Raster Design Object Enabler is available on your AutoCAD Raster Design 2010 product media as well as from the Autodesk website.

  • Working with Custom Image Formats

    The AutoCAD Raster Design 2010 Object Enabler improves your ability to work with custom image data types.

  • Frequently Asked Questions

    Questions about Object Enabler installation and usage are addressed in the following topics.

Please send us your comment about this page


Using the AutoCAD Raster Design Object Enabler

Accessing and Installing the AutoCAD Raster Design Object Enabler
Using the AutoCAD Raster Design Object Enabler
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The AutoCAD Raster Design 2010 Object Enabler is a freeware application that you can use to access AutoCAD Raster Design 2010 drawing files. This release allows object data created in AutoCAD Raster Design 2010 to be accessed outside the AutoCAD Raster Design 2010 environment.

For example, if half of your AutoCAD seats are AutoCAD 2010, and the other half are AutoCAD Raster Design 2010, the people using plain AutoCAD 2010 can install the AutoCAD Raster Design Object Enabler. Then when they open drawings that were created in AutoCAD Raster Design, they will be able to view, plot, and do basic image management tasks with the images.

Without the AutoCAD Raster Design Object Enabler installed, standard AutoCAD image types created in Raster Design (TIFF, JFIF-JPEG, GIF, etc.) can be readily used in drawings by other AutoCAD 2010–based applications. The Object Enabler is required to display Raster Design custom images, as listed in the topic Working with Custom Image Formats. Without the AutoCAD Raster Design Object Enabler installed, another application displays only the frames of these custom images, and then only if proxy graphics are enabled.

Installing the AutoCAD Raster Design 2010 Object Enabler on any AutoCAD 2010 product provides support of the AutoCAD Erase, Move, Copy, Scale, Rotate, and Draw Order commands on custom images, as well as grip editing.


Accessing and Installing the AutoCAD Raster Design Object Enabler

Using the AutoCAD Raster Design Object Enabler
Working with Custom Image Formats
Accessing and Installing the AutoCAD Raster Design Object Enabler
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The AutoCAD Raster Design Object Enabler is available on your AutoCAD Raster Design 2010 product media as well as from the Autodesk website.

See the instructions below for installing the Object Enabler from the product media. In addition, you can also download the most current version from the Autodesk web site at http://www.autodesk.com/aecobjenabler.

Installing the AutoCAD Raster Design Object Enabler

  1. Insert the AutoCAD Raster Design 2010 product media into your computer’s media drive.
  2. In the Installation wizard, click the Install link.
  3. On the Install page, click Install Additional Tools. Then click AutoCAD Raster Design 2010 Object Enabler and follow the on-screen instructions.
  4. If prompted, restart your computer.


Working with Custom Image Formats

Accessing and Installing the AutoCAD Raster Design Object Enabler
AutoCAD Raster Design Object Enabler
Frequently Asked Questions
Working with Custom Image Formats
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The AutoCAD Raster Design 2010 Object Enabler improves your ability to work with custom image data types.

These image types are shown in the following table. Each image type can be viewed if it is in a DWG, but it cannot be edited or saved. Some image types can be inserted into a DWG, as indicated.

Image Format | Image Insertable into DWG
DEM | No
DOQ | Yes
DTED | No
Embedded Bitonal | No
ECW | Yes
ESRI GRID A | No
ESRI GRID B | No
JPEG2000 | Yes
Landsat FAST | No
NITF | No
QuickBird TIFF | No
SID | Yes


Frequently Asked Questions

Working with Custom Image Formats
Frequently Asked Questions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Questions about Object Enabler installation and usage are addressed in the following topics.

NoteYou can find the latest information about the Object Enablers at http://www.autodesk.com/aecobjenabler.

What is the AutoCAD Raster Design Object Enabler?

The AutoCAD Raster Design 2010 Object Enabler is a utility that gives customers of AutoCAD 2010–based products the ability to view and perform limited editing on AutoCAD Raster Design 2010 objects. With the AutoCAD Raster Design Object Enabler, any user with these AutoCAD 2010–based products can have full compatibility with AutoCAD Raster Design 2010 objects.

Can the AutoCAD Raster Design Object Enabler be installed on a version of AutoCAD prior to 2010?

No. The AutoCAD Raster Design Object Enabler can only be installed on AutoCAD 2010–based products.

Do I have to install the AutoCAD Raster Design Object Enabler in order to view AutoCAD Raster Design drawings in AutoCAD-based applications?

No. The AutoCAD proxy graphic mechanism (starting with AutoCAD R13) allows viewing of AutoCAD Raster Design objects in AutoCAD or other Autodesk products that can read drawing files. Be sure you turn on proxy graphics before you save your drawings in AutoCAD Raster Design.

How is the AutoCAD Raster Design Object Enabler different from proxy graphics?

The AutoCAD Raster Design Object Enabler does not replace the proxy graphics mechanism of interoperability. Proxy graphics remains a valuable "common denominator" of interoperability across the Autodesk product line. The AutoCAD Raster Design Object Enabler provides a more robust level of compatibility for AutoCAD users.

How do I use the AutoCAD Raster Design Object Enabler?

Once installed, the AutoCAD Raster Design Object Enabler works automatically with your existing AutoCAD configuration. If you open a drawing file containing AutoCAD Raster Design objects, they are "live" and you are able to edit them directly using AutoCAD commands. There are no menus, toolbars, or command-line features. The power of the AutoCAD Raster Design Object Enabler is the ability to use existing and familiar AutoCAD commands on AutoCAD Raster Design objects without the need to learn new functionality.

How do I install the AutoCAD Raster Design Object Enabler?

The AutoCAD Raster Design Object Enabler is available on your product media. In addition, you can download the most current version from the Autodesk web site at http://www.autodesk.com/aecobjenabler.

How do I distribute the AutoCAD Raster Design Object Enabler install?

The AutoCAD Raster Design Object Enabler is a freeware application that you can distribute to anyone who wants to view your drawings. However, the AutoCAD Raster Design Object Enabler alone cannot display your drawings. You must have an installed copy of AutoCAD 2010 or an AutoCAD 2010–based product.

How do I verify that the AutoCAD Raster Design Object Enabler is installed properly?

When you install the AutoCAD Raster Design Object Enabler, it is added to the Add/Remove Programs list in the Windows Control Panel.

Are there any AutoCAD variables that affect the AutoCAD Raster Design Object Enabler?

When you are using the AutoCAD Raster Design Object Enabler, it is recommended that you use the Object Detect And Command Invoke option in AutoCAD Options.

To select the Object Detect And Command Invoke option

  1. Enter OPTIONS at the AutoCAD command line to display the AutoCAD Options dialog box.
  2. Click the Open And Save tab.
  3. Under ObjectARX Applications and Demand Load ObjectARX Apps, select Object Detect And Command Invoke.

This option checks for any custom objects that exist in a drawing and loads the parent ARX/DBX application.

NoteWhen you want to use the AutoCAD Raster Design Object Enabler to view custom objects, set the Demand Load ObjectARX Apps option to Custom Object Detect (1) or Object Detect and Command Invoke (3).


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!